Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.requestreply
Class SimpleAsyncRequestReplyRequester

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
              org.mule.routing.requestreply.SimpleAsyncRequestReplyRequester

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, RequestReplyRequesterMessageProcessor, MessageSource

    public class SimpleAsyncRequestReplyRequester

extends AbstractAsyncRequestReplyRequester
implements Startable, Stoppable

Field Summary
`protected MessageProcessor` | `requestMessageProcessor`

Fields inherited from class org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
`failOnTimeout, flowConstruct, locks, MAX_PROCESSED_GROUPS, processed, processedLock, replyMessageSource, responseEvents, timeout`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`SimpleAsyncRequestReplyRequester()`

Method Summary
`protected void` | `sendAsyncRequest(MuleEvent event)`
`protected void` | `setAsyncReplyProperties(MuleEvent event)`
`void` | `setMessageProcessor(MessageProcessor processor)`
`void` | `setMessageSource(MessageSource source)` Deprecated.
`void` | `setMuleContext(MuleContext context)`
`void` | `start()`
`void` | `stop()`
`protected void` | `verifyReplyMessageSource(MessageSource messageSource)`

Methods inherited from class org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
`addProcessed, getAsyncReplyCorrelationId, isAlreadyProcessed, postLatchAwait, process, receiveAsyncReply, setFailOnTimeout, setFlowConstruct, setReplySource, setTimeout, toString`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Field Detail

### requestMessageProcessor

    protected MessageProcessor requestMessageProcessor

Constructor Detail

### SimpleAsyncRequestReplyRequester

    public SimpleAsyncRequestReplyRequester()

Method Detail

### sendAsyncRequest

    protected void sendAsyncRequest(MuleEvent event)
                             throws MuleException

  Overrides:
    `sendAsyncRequest` in class `AbstractAsyncRequestReplyRequester`
  Throws:
    `MuleException`

### setAsyncReplyProperties

    protected void setAsyncReplyProperties(MuleEvent event)
                                    throws MuleException

  Throws:
    `MuleException`

### verifyReplyMessageSource

    protected void verifyReplyMessageSource(MessageSource messageSource)

  Overrides:
    `verifyReplyMessageSource` in class `AbstractAsyncRequestReplyRequester`

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor processor)

### setMessageSource

    @Deprecated
    public void setMessageSource(MessageSource source)

  Deprecated.

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`
  Overrides:
    `setMuleContext` in class `AbstractInterceptingMessageProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.